API reference
List account groups
account_group_list — Account groups of the workspace (name, color, revision, member account ids).
account_group_list · Reads saved data
Account groups of the workspace (name, color, revision, member account ids). Use group_ids in any bulk tool to act on every member at once.
| REST | GET /api/public/v1/groups |
| MCP tool | account_group_list |
| Permission needed | view — Owner, Manager, Operator, Viewer |
| Scope group | accounts:read |
| Group | X account groups |
| Shown up front in profiles | Automation, Infrastructure |
Input
No input.
Result
Returned in the { data, meta } envelope, without creating a job on X. Lists include next_cursor and has_more.
Example
Call over REST
curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/groups" \
-H "Authorization: Bearer $XBUDDY_API_KEY"
Call over MCP
{
"method": "tools/call",
"params": {
"name": "account_group_list",
"arguments": {}
}
}
Errors you may get
| Code | HTTP | Retryable |
|---|---|---|
unauthorized |
401 | No |
key_expired |
401 | No |
integration_revoked |
401 | No |
connection_not_linked |
403 | No |
integration_paused |
403 | No |
workspace_integrations_paused |
403 | No |
integration_authorization_lost |
403 | No |
workspace_suspended |
403 | No |
forbidden |
403 | No |
invalid_input |
422 | No |
rate_limited |
429 | Yes |
internal |
500 | Yes |